/**
 * @file dmxgui.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Provides a ncurses gui for dmxctrl
**/
#ifndef DMXGUI_H
#define DMXGUI_H
#include <ncurses.h>
#include <stdlib.h>

#define DMXGUI_MODE_PROGRAMMER   0
#define DMXGUI_MODE_LISTING      1
#define DMXGUI_MODE_DETAIL       2
#define DMXGUI_MODE_EDIT         3
#define DMXGUI_MODE_GLOBAL       4

#define DMXGUI_MAXMODE           4
#define DMXGUI_BUFLEN            255
#define DMXGUI_KEY_INPUT_FIN     -1

/**
 * Represents gui status data
**/
typedef struct dmxgui_status {
	/* active screen mode / tab */
	int screen_mode;
	/* previous pressed key */
	int prev_key_main;
	/* channel counter */
	int channel_cnt;
	/* gets a string as userinput until enter */
	int is_user_input;
	/* User input buffer */
	char input[DMXGUI_BUFLEN];
	/* input length */
	int inplen;
	/* User input buffer */
	char filename[DMXGUI_BUFLEN];
} dmxgui_status_t;

/* dmxgui_run(channel_cnt, hostname, port); */
void dmxgui_run(int, const char*);
/* saves gui data */
long dmxgui_save(FILE *fp);
/* loads gui data */
long dmxgui_load(FILE *fp);
/* handle a key event */
int dmxgui_keyevent();

#endif /* DMXGUI_H */
