/**
 * @file dmxset.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * A simple program to set a channel's value on a lindmxd 
**/
#ifndef DMXSET_H
#define DMXSET_H
#include "dmxcue.h"

#define DMXSET_ERR_NOERROR       0
#define DMXSET_ERR_HOSTNOTFOUND  1
#define DMXSET_ERR_CONNECTION    2
#define DMXSET_ERR_SEND          3
#define DMXSET_ERR_RECV          4
#define DMXSET_ERR_COMMAND       5

/* dmxset(channel, value, host, port) */
int dmxset(int, int, const char *, int);
/* global initialisation */
int dmxset_global_init(const char*, int);
/* set values over global connection */
int dmxset_global(int, int);
/* Load a cue */
int dmxset_global_loadcue(dmxlist_t*, dmxlist_t*);
/* Load a cue with a promille fade value */
int dmxset_global_loadcue_faded(dmxlist_t*, dmxlist_t*, int);
/* close global conneciton */
void dmxset_global_close();


#endif /* DMXSET_H */
