/**
 * @file signals.c
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ---------------------------------------------------------
 * (c) Florian Schmitt / Nov-2012 / All rights reserved. 
 * ---------------------------------------------------------
 * Catches signals
**/
#include <stdlib.h>
#include <signal.h>
#include <string.h>
#include "dmxgui.h"



/**
 * Catches a signal
 * Signals are being ignored.
 * The program should make all descisions on itself and strg+c is
 * disabled.
 * Given to signal by main.c
**/
void signals_handle_sig(int sig)
{
	switch(sig)
	{
		/* urgent termination */
		case SIGKILL:
			exit(EXIT_FAILURE);
		/* normal termination */
		case SIGTERM:
		case SIGQUIT:
		case SIGINT:
			return;
		default:
			return;
	}
}
